curl --request GET \
--url https://api.bron.org/workspaces/{workspaceId}/balancesimport requests
url = "https://api.bron.org/workspaces/{workspaceId}/balances"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bron.org/workspaces/{workspaceId}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balances": [
{
"accountId": "w9jh0gf3w9qaxlre7enezt17",
"accountType": "vault",
"assetId": "10001",
"balanceId": "rcyv3tsc53opdiz7xgrujvg0",
"workspaceId": "e191u51yxnykins6fahd",
"createdAt": "1744369502340",
"networkId": "BTC",
"symbol": "BTC",
"totalBalance": "2.00021084",
"updatedAt": "1744372384276",
"withdrawableBalance": "1.00021084"
}
]
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Get balances
When you perform request without accountIds or assetId or balanceIds, the method returns all balances which has non-zero balances only
API Key permissions: View only, Transaction Operator, Full AccessPath Parameters
Query Parameters
Filter by account ID
Filter by account ids
Filter by balance ids
Filter balances by assetId
Filter balances by assetIds list
Filter balances by assetNotIn
Filter balances by networkId
Filter balances by networkIds list
Filter balances by account types. See details
vault Exclude balances by account types. See details
vault Filter balances updated since timestamp
Filter only balances with non-zero balance
Keep only balances whose asset risk score is below the threshold, e.g. 10 hides spam and scam airdrops
Keep only balances of testnet accounts (true) or of mainnet accounts (false)
Limit for pagination
Offset for pagination
Response
OK
List of balances
Show child attributes
Show child attributes
Was this page helpful?
